Bug 856097 - Printing to HP-4000 broken.
Printing to HP-4000 broken.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-11 04:12 EDT by Ralph Loader
Modified: 2013-08-01 14:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:11:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralph Loader 2012-09-11 04:12:09 EDT
Printing to a HP laserjet 4000 over JetDirect no longer works.

On sending the print job to the printer, the LEDs on the printer blink for a while, then the printer goes back to idle.  There is no error indication whatsoever.

A complete guess as to the problem: this is a very old printer.  It most likely does not support PostScipt uncompression with: "/Filter /FlateDecode"
Comment 1 Ralph Loader 2012-09-11 05:03:09 EDT
Obvious info:

The problem is not fixed by deleting and recreating the printer in system-config-printer.

$ rpm -qa|grep cups|sort
cups-1.5.4-2.fc17.x86_64
cups-libs-1.5.4-2.fc17.i686
cups-libs-1.5.4-2.fc17.x86_64
cups-pk-helper-0.2.2-1.fc17.x86_64
ghostscript-cups-9.05-1.fc17.x86_64
libgnomecups-0.2.3-11.fc17.x86_64
python-cups-1.9.61-2.fc17.x86_64

I've just found that the system-config-print 'print test page' works.  But not printing from any other application I tried.  So this might be a problem with the cairo (?) printing rather than cups?
Comment 2 Ralph Loader 2012-09-11 05:10:53 EDT
Experimenting futher:

Printing from firefox does not work.
Printing PDFs from evince does work.
Printing a .ps file (generated by GEDA pcb) from evince does work.

So looks like a problem at the rendering level rather than the printer spooler level.  Re-assigning to cairo, as my best guess of the most likely culprit.
Comment 3 Tim Waugh 2012-09-11 06:05:34 EDT
Resetting assignee.
Comment 4 Ralph Loader 2012-09-12 18:57:29 EDT
Ok, I tracked down the problem a bit:

The print supports only postscript level 2.  This is appears to be noted in the foomatic XML file /usr/share/foomatic/db/source/printer/HP-LaserJet_4000.xml:

  <lang>
    <postscript level="2" />

But foomatic ignores this when generating the ppdfile and sets the postscipt level to 3 (observced both with setting up the printer via the GUI and running foomatic-ppdfile by hand):

$ foomatic-ppdfile cat foomatic-ppdfile:HP-LaserJet_4000-Postscript.ppd
...
*LanguageLevel:	"3"
...

Editing the ppd file by hand gets the printer working again, printing a pdf from evince.
Comment 5 Jiri Popelka 2012-09-19 09:22:57 EDT
(In reply to comment #4)
> $ foomatic-ppdfile cat foomatic-ppdfile:HP-LaserJet_4000-Postscript.ppd
> *LanguageLevel:	"3"
> Editing the ppd file by hand gets the printer working again, printing a pdf
> from evince.

Well done, I'll take a look at it.

I've just found this note on http://en.gentoo-wiki.com/wiki/CUPS

Seems many HP Printers have problems printing Postscript Level 3, such as rectangle glyphs replacing chars even with their binary drivers installed. When you configure your HP printer, or to resolve this issue, edit the printer's PPD file and set '*LanguageLevel: "2"'. Upon further research, only Postscript Level 2 is accepted by HP printers! Even though you might think you're printing PS Level 3, you're final file is likely PS Level 2. Both MS Windows and Ubuntu are hard-coded to only print PS Level 2, even when PS 3 has been specified/selected!
Comment 6 Jiri Popelka 2012-09-19 10:38:38 EDT
My Perl-fu is too poor to make some conclusion, but it seems that LanguageLevel: is indeed always set to "3".
The generateppd() in foomatic-ppdfile calls getppd() from
/usr/share/perl5/vendor_perl/Foomatic/DB.pm
which takes (with get_tmpl()) a template PPD (containing *LanguageLevel:	"3") and substitutes various statements, but LanguageLevel is not substituted.
Comment 7 Tim Waugh 2012-09-19 11:39:56 EDT
Needs reporting upstream: https://bugs.linuxfoundation.org/
Comment 10 Fedora End Of Life 2013-07-04 02:35:31 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2013-08-01 14:11:12 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.